<!-- ngForm is predefined -->
<form #myForm='ngForm' (ngSubmit)='formSubmit(myForm);'>
  <div class="form-group">
    <label>Name</label>
    <input type="text" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" placeholder="Enter name" ngModel name="name">
  </div>
  <div class="form-group">
    <label>Password</label>
    <input type="password" class="form-control" placeholder="Password" ngModel name="password" #pwd='ngModel'>
  </div>
  <div class="form-group">
    <label>Password</label>
    <input type="password" class="form-control" placeholder="Confirm Password" #cpwd='ngModel' ngModel name="cpassword"  (keyup)='confirmPasswrd(pwd.value,cpwd.value);'>
  </div>
  <div *ngIf="!passwordMatched && cpwd.dirty">Your password do not match</div>
<!-- here ngModel false is given for default (false) else it will be empty -->
  <div class="form-check">
    <input type="checkbox" class="form-check-input" id="exampleCheck1" [ngModel]='false' name='checkBox' >
    <label class="form-check-label" for="exampleCheck1">Check me out</label>
  </div>
  <div class="form-check">
    <input class="form-check-input" type="radio" [ngModel]= "'option1'" name="radio" value="option1" checked>
    <label class="form-check-label" for="exampleRadios1">
    Option 1
    </label>
    </div>
    <div class="form-check">
    <input class="form-check-input" type="radio" [ngModel]= "'option1'" name="radio" value="option2">
    <label class="form-check-label" for="exampleRadios2">
    Option 2
    </label>
    </div>
    <div class="form-check">
    <input class="form-check-input" type="radio" [ngModel]= "'option1'" name="radio" value="option3">
    <label class="form-check-label" for="exampleRadios3">
    Option 3
    </label>
    </div>
    <div class="form-group">
      <label for="formControlRange">Example Range input</label>
      <input type="range" class="form-control-range" min="-10" max="10" step="0.1" ngModel #range name="range" >
      </div>
      {{range.value}}
      <div class="form-group">
        <label for="exampleFormControlSelect1">Example select</label>
        <select class="form-control" ngModel name="select" > 
        <option value="">Please select an option</option> 
        <option>1</option>
        <option>2</option>
        <option>3</option>
        <option>4</option>
        <option>5</option>
        </select>
        </div>

  <div *ngIf='!passwordsMatched else ElsePart'>Show if True</div>

<ng-template #ElsePart>
<div>
Show if false
</div>
</ng-template>
  <button type="submit" class="btn btn-primary" [disabled]='myForm.invalid'>Submit</button>
</form>